Extending Qt Creator Manual | FunctionHintProposalWidget

Extending Qt Creator Manual 4.4.0

# FunctionHintProposalWidget Class

(TextEditor::FunctionHintProposalWidget)

Inherits: | TextEditor::IAssistProposalWidget

- List of all members, including inherited members

## Public Functions

| FunctionHintProposalWidget()
| ~FunctionHintProposalWidget()

## Reimplemented Public Functions

virtual void | closeProposal() override
virtual void | setAssistant(CodeAssistant *assistant) override
virtual void | setDisplayRect(const QRect &rect) override
virtual void | setIsSynchronized(bool isSync) override
virtual void | setKind(AssistKind kind) override
virtual void | setModel(IAssistProposalModel *model) override
virtual void | setReason(AssistReason reason) override
virtual void | setUnderlyingWidget(const QWidget *underlyingWidget) override
virtual void | showProposal(const QString &prefix) override
virtual void | updateProposal(const QString &prefix) override

- 10 public functions inherited from TextEditor::IAssistProposalWidget

## Protected Functions

bool | eventFilter(QObject *o, QEvent *e) override

### Additional Inherited Members

- 3 signals inherited from TextEditor::IAssistProposalWidget

## Member Function Documentation

### FunctionHintProposalWidget::FunctionHintProposalWidget()

Default constructs an instance of FunctionHintProposalWidget.

### FunctionHintProposalWidget::~FunctionHintProposalWidget()

Destroys the instance of FunctionHintProposalWidget.

### `[override virtual]` void FunctionHintProposalWidget::closeProposal()

### `[protected]` bool FunctionHintProposalWidget::eventFilter(QObject *o, QEvent *e)

### `[override virtual]` void FunctionHintProposalWidget::setAssistant(CodeAssistant *assistant)

### `[override virtual]` void FunctionHintProposalWidget::setDisplayRect(const QRect &rect)

### `[override virtual]` void FunctionHintProposalWidget::setIsSynchronized(bool isSync)

### `[override virtual]` void FunctionHintProposalWidget::setKind(AssistKind kind)

### `[override virtual]` void FunctionHintProposalWidget::setModel(IAssistProposalModel *model)

### `[override virtual]` void FunctionHintProposalWidget::setReason(AssistReason reason)

### `[override virtual]` void FunctionHintProposalWidget::setUnderlyingWidget(const QWidget *underlyingWidget)

### `[override virtual]` void FunctionHintProposalWidget::showProposal(const QString &prefix)

### `[override virtual]` void FunctionHintProposalWidget::updateProposal(const QString &prefix)